org.apache.commons.math3.optimization

## Interface MultivariateDifferentiableOptimizer

All Superinterfaces:
  BaseMultivariateOptimizer<MultivariateDifferentiableFunction>, BaseOptimizer<PointValuePair>

All Known Implementing Classes:
  MultivariateDifferentiableMultiStartOptimizer

Deprecated.
As of 3.1 (to be removed in 4.0).

    @Deprecated
    public interface MultivariateDifferentiableOptimizer
    extends BaseMultivariateOptimizer<MultivariateDifferentiableFunction>

This interface represents an optimization algorithm for `scalar differentiable objective functions`. Optimization algorithms find the input point set that either `maximize or minimize` an objective function.

Since:
  3.1
Version:
  $Id: MultivariateDifferentiableOptimizer.java 1422230 2012-12-15 12:11:13Z erans $
See Also:
  `MultivariateOptimizer`, `MultivariateDifferentiableVectorOptimizer`

### Method Summary

### Methods inherited from interface org.apache.commons.math3.optimization.BaseMultivariateOptimizer

`optimize`

### Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer

`getConvergenceChecker, getEvaluations, getMaxEvaluations`